Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PageInstanceId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.PageInstanceId

All Implemented Interfaces
  InstanceId, NavigableInstanceId, Serializable

    public class PageInstanceId

extends Id
implements NavigableInstanceId

Represents the primary keys of `Page` objects in the database, and is used to uniquely identify them. `PageInstanceId` will be needed when customizing `Page` instances on a desktop.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`PageInstanceId(int id)`

Method Summary
`protected Object` | `clone()`
`static PageInstanceId` | `clone(PageInstanceId pageInstanceId)`
`static PageInstanceId` | `createPageInstanceId(int id)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, getId, getUniqueLabel, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.netuix.application.identifier.NavigableInstanceId
`getId`

Constructor Detail

### PageInstanceId

    public PageInstanceId(int id)

Parameters
  `id` - the integer value that this `PageInstanceId` should be set to.

Method Detail

### createPageInstanceId

    public static PageInstanceId createPageInstanceId(int id)

  Parameters
    `id` - the integer value that this `PageInstanceId` should be set to.
  Returns
    a new `PageInstanceId` with the id value set to the integer passed in.

### clone

    public static PageInstanceId clone(PageInstanceId pageInstanceId)

  Parameters
    `pageInstanceId` - the `PageInstanceId` to be cloned.
  Returns
    a new `PageInstanceId` with the exact same id value as the `PageInstanceId` passed in.

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`
  Returns
    a new `PageInstanceId` with the exact same id value as this `PageInstanceId`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Id`
  Parameters
    `o` - a `PageInstanceId` object to compare to this `PageInstanceId`.
  Returns
    `true` if this `PageInstanceId` object is the same as the `PageInstanceId` object argument; `false` otherwise.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Id`
  Returns
    a hash code value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.